For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
      • POSTCreate MCP server
      • DELDelete MCP server
      • GETList MCP servers
      • GETGet MCP server
      • GETList MCP server tools
      • PATCHUpdate MCP server configuration
        • POSTCreate configuration override
        • GETGet configuration override
        • PATCHUpdate configuration override
        • DELDelete configuration override
  • ElevenAPI
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
  • Conversational AI
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAgentsMCPTool Configuration

Get configuration override

GET
/v1/convai/mcp-servers/:mcp_server_id/tool-configs/:tool_name
GET
/v1/convai/mcp-servers/:mcp_server_id/tool-configs/:tool_name
$curl https://api.elevenlabs.io/v1/convai/mcp-servers/mcp_server_id/tool-configs/tool_name \
> -H "Content-Type: application/json"
1{
2 "tool_name": "weather_forecast",
3 "pre_tool_speech": "auto",
4 "disable_interruptions": false,
5 "tool_call_sound": "elevator2",
6 "tool_call_sound_behavior": "auto",
7 "execution_mode": "immediate",
8 "response_timeout_secs": 30,
9 "assignments": [
10 {
11 "dynamic_variable": "forecast_summary",
12 "value_path": "data.daily.summary",
13 "source": "response",
14 "sanitize": true,
15 "preserve_native_type": false
16 }
17 ],
18 "input_overrides": {},
19 "response_mocks": [
20 {
21 "mock_result": "Expecting rain today, carry an umbrella.",
22 "parameter_conditions": [
23 {
24 "eval": {
25 "type": "exact",
26 "expected_value": "rain"
27 },
28 "path": "weather.condition"
29 }
30 ]
31 }
32 ],
33 "force_pre_tool_speech": null
34}
Retrieve configuration overrides for a specific MCP tool.
Was this page helpful?
Previous

Update configuration override

Next
Built with

Path parameters

mcp_server_idstringRequired
ID of the MCP Server.
tool_namestringRequired
Name of the MCP tool to retrieve config overrides for.

Headers

xi-api-keystringOptional

Response

Successful Response
tool_namestring
The name of the MCP tool
pre_tool_speechenum or nullDefaults to auto

If set, overrides the server’s pre_tool_speech setting for this tool.

Allowed values:
disable_interruptionsboolean or null

If set, overrides the server’s disable_interruptions setting for this tool

tool_call_soundenum or null

If set, overrides the server’s tool_call_sound setting for this tool

Allowed values:
tool_call_sound_behaviorenum or nullDefaults to auto

If set, overrides the server’s tool_call_sound_behavior setting for this tool

Allowed values:
execution_modeenum or nullDefaults to immediate

If set, overrides the server’s execution_mode setting for this tool

Allowed values:
response_timeout_secsinteger or null5-300

If set, overrides the server’s response timeout for this MCP tool (seconds).

assignmentslist of objects
Dynamic variable assignments for this MCP tool
input_overridesmap from strings to objects or null
Mapping of json path to input override configuration
response_mockslist of objects or null

Mock responses with optional parameter conditions. Evaluated top-to-bottom; first match wins.

force_pre_tool_speechboolean or nullDeprecated

DEPRECATED: use pre_tool_speech instead. If set, overrides the server’s force_pre_tool_speech setting for this tool.

Errors

404
Not Found Error
422
Unprocessable Entity Error